function [p,f,errTbl] = polyFitCreate(xydata,order)

% Polynomial fit to data set and calculate function value in xdata + error
%  return polynomial coefficians, function value in x and fit error
%  input data vector two column
o = order;
x = xydata(:,1); y = xydata(:,2);
p = polyfit(x,y,o);
f = polyval(p,x);

errTbl = ...
    table(x,y,f,y-f,...
    'VariableNames',{'X','Y','Fit','FitError'});
