%% Plot coefficients
% 06/02 NT
% REV: 01/03

close all;

figprop; % run figure properties

% load data
load('datafile0103coeffs.mat'); % Load coefficant variables

%% Plot
scale = 1; % scale polynomial x values
%N = N/scale; % scale for plot
%ca0 = [N M(1:7,4)]; ca1 =[N M(1:7,3)]; ca2 = [N M(1:7,2)];
%ca3 = [N M(1:7,1)]; % coefficiants given by rpm

c_0 = @(N) c0(1)*N.^3 + c0(2)*N.^2 + c0(3)*N + c0(4);
c_1 = @(N) c1(1)*N.^3 + c1(2)*N.^2 + c1(3)*N + c1(4);
c_2 = @(N) c2(1)*N.^3 + c2(2)*N.^2 + c2(3)*N + c2(4);
c_3 = @(N) c3(1)*N.^3 + c3(2)*N.^2 + c3(3)*N + c3(4);
N = 75e3:1000:195e3;


figure(1)
ax1=subplot(2,2,1); % SUBPLOT 1
    plot(ax1,ca0(:,1)/scale,ca0(:,2),'k:','linewidth',0.8); % data point exclude 0
hold(ax1,'on')
    plot(ax1,N/scale,c_0(N),'r-');
hold(ax1,'off')   
xlabel 'rpm'
ylabel 'c0(N)'
%ax1.XTick = 75:20:195;

ax2=subplot(2,2,2); % SUBPLOT 2
    plot(ax2,ca1(:,1)/scale,ca1(:,2),'k:','linewidth',0.8);
hold(ax2,'on')
    plot(ax2,N/scale,c_1(N),'r-');
hold(ax2,'off')
xlabel 'rpm'
ylabel 'c1(N)'
%ax2.XTick = ax1.XTick;

ax3=subplot(2,2,3);  % SUBPLOT 3
    plot(ax3,ca2(:,1)/scale,ca2(:,2),'k:','linewidth',0.8);
hold(ax3,'on')
    plot(ax3,N/scale,c_2(N),'r-');
hold(ax3,'off')
xlabel 'rpm'
ylabel 'c2(N)'
%ax3.XTick = ax1.XTick;

ax4=subplot(2,2,4);  % SUBPLOT 4
    plot(ax4,ca3(:,1)/scale,ca3(:,2),'k:','linewidth',0.8);    
hold(ax4,'on')
    plot(ax4,N/scale,c_3(N),'r-');
hold(ax4,'off')
xlabel 'rpm'
ylabel 'c3(N)'
%ax4.XTick = ax1.XTick;

print('fig1_coeff','-depsc2','-r300');