%% Run empirical created compressor char.
% Verify the output of the empirical function 
% with established coefficiants from polyfit
% 06/02 NT
% REV: 01/03

clear all; close all; clc;

% Speed vector
N = [75000 95000 115000 135000 155000 175000 195000]'; % speed lines, x

%load('datafile0602coeffs.mat'); % load coefficiants from file
load('datafile0103coeffs.mat');

% structure of file
% c_i = @(N) ci0(1)*N.^3 + ci0(2)*N.^2 + ci0(3)*N + ci0(4);
%       c0 = [4 3 2 1],
%       c1 = [...
%       c2 = ..
%       c4
c = [c0 c1 c2 c3];

w = linspace(-0.05,0.25,20); % create mass flow data points
N0 = linspace(65*10^3,65*10^3,20);
N1 = linspace(70*10^3,70*10^3,20);
N2 = linspace(75*10^3,75*10^3,20); % 75000 rpm
N3 = linspace(80*10^3,80*10^3,20); % 85000 rpm
N4 = linspace(85*10^3,85*10^3,20); % 95000 rpm
N5 = linspace(90*10^3,90*10^3,20); 
N6 = linspace(95*10^3,95*10^3,20); 
N7 = linspace(100*10^3,100*10^3,20);
N8 = linspace(105*10^3,105*10^3,20);
N9 = linspace(110*10^3,110*10^3,20);
N10 = linspace(115*10^3,115*10^3,20);
N11 = linspace(120*10^3,120*10^3,20);
N12 = linspace(125*10^3,125*10^3,20);
N13 = linspace(135*10^3,135*10^3,20);
N14 = linspace(140*10^3,140*10^3,20);
N15 = linspace(145*10^3,145*10^3,20);
N16 = linspace(150*10^3,150*10^3,20);
N17 = linspace(155*10^3,155*10^3,20);
N18 = linspace(160*10^3,160*10^3,20);
N19 = linspace(165*10^3,165*10^3,20);
N20= linspace(170*10^3,170*10^3,20);
N21 = linspace(175*10^3,175*10^3,20);
N22 = linspace(180*10^3,180*10^3,20);
N23 = linspace(185*10^3,185*10^3,20);
N24 = linspace(190*10^3,190*10^3,20);
N25 = linspace(195*10^3,195*10^3,20);

%% Plot data
figure; % create figure 1
plot(w,empPsi(w,N0),'k-'); 
hold on
plot(w,empPsi(w,N1),'k-');
plot(w,empPsi(w,N2),'k-');
plot(w,empPsi(w,N3),'k-');
plot(w,empPsi(w,N4),'k-');
plot(w,empPsi(w,N5),'k-');
plot(w,empPsi(w,N6),'k-');
plot(w,empPsi(w,N7),'k-');
plot(w,empPsi(w,N8),'k-');
plot(w,empPsi(w,N9),'k-');
plot(w,empPsi(w,N10),'k-');
plot(w,empPsi(w,N11),'k-');
plot(w,empPsi(w,N12),'k-');
plot(w,empPsi(w,N13),'k-');
plot(w,empPsi(w,N14),'k-');
plot(w,empPsi(w,N15),'k-');
plot(w,empPsi(w,N16),'k-');
plot(w,empPsi(w,N17),'k-');
plot(w,empPsi(w,N18),'k-');
plot(w,empPsi(w,N19),'k-');
plot(w,empPsi(w,N20),'k-');
plot(w,empPsi(w,N21),'k-');
plot(w,empPsi(w,N22),'k-');
plot(w,empPsi(w,N23),'k-');
plot(w,empPsi(w,N24),'k-');
plot(w,empPsi(w,N25),'k-');
hold off
axis([-0.05  0.3  1  3.2]) 
title('Compressor speed lines, empirical function');
xlabel 'Mass flow [kg/s]'
ylabel 'Pressure ratio [-]'

%print('fig1_empPsi','-depsc2','-r300');
