%% Plot of Curve fit for ModSim characterstic function
% for turbocharger GT2252
% 10/2-17, N.T
%
% NOTE:    
%        - Run lsqFit_modsim.m pre-running this script
%figprop; % run figure properties
close all;
%% Pre run script
%lsqFit_modsim;
wgc_mtp_params;

cc = xn; % psiC function params
%cc2 = xn2; % psiCparams/nested parameteres
%% plot params
c = 0.01; % offset plot x-dir
d = -0.05; % offset plot y-dir
xlow = 0; %-0.05;
dfit = 'k-'; % fit symbol and color
dpnt = 'k.'; % data point symbol and color, subplot2
a = 100; % number of points in intervall
wpscale = 1; % scale mass flow data
npscale = 1; % scale rpm data

x1 = spdf(1+step:f,1); y1 = spdf(1+step:f,2);
x2 = spdf(f+1+step:f*2,1); y2 = spdf(f+1+step:f*2,2);
x3 = spdf(f*2+1+step:f*3,1); y3 = spdf(f*2+1+step:f*3,2);
x4 = spdf(f*3+1+step:f*4,1); y4 = spdf(f*3+1+step:f*4,2);
x5 = spdf(f*4+1+step:f*5,1); y5 = spdf(f*4+1+step:f*5,2);
x6 = spdf(f*5+1+step:f*6,1); y6 = spdf(f*5+1+step:f*6,2);
x7 = spdf(f*6+1+step:f*7,1); y7 = spdf(f*6+1+step:f*7,2);
x6i = spdf(f*7+1+step:f*8,1); y6i = spdf(f*7+1+step:f*8,2);
x7i = spdf(f*8+1+step:f*9,1); y7i = spdf(f*8+1+step:f*9,2);

x8 = map815(1:nm,1); y8 = map815(1:nm,2); % Small fraction of surge line
x9 = map815(nm+1:nm*2,1); y9 = map815(nm+1:nm*2, 2); % choke line
x10 = map815(nm*2+1:nm*3,1); y10 = map815(nm*2+1:nm*3,2); % Surge, long

% Data set for plotting
    w1 = linspace(xlow,x1(end),a)';  % mass flow values
    w2 = linspace(xlow,x2(end),a)';
    w3 = linspace(xlow,x3(end),a)';
    w4 = linspace(xlow,x4(end),a)';
    w5 = linspace(xlow,x5(end),a)';
    w6 = linspace(xlow,x6(end),a)';   w6i = linspace(xlow,x6i(end),a)'; 
    w7 = linspace(xlow,x7(end),a)';   w7i = linspace(xlow,x7i(end),a)'; 
w = [w1 w2 w3 w4 w5 w6 w7 w6i w7i]*wpscale;
l = length(w1);
ndt = Nmat(l)*10^3*npscale; %  create equal sized rpm vector 10^5

%% Plot
figure(1);
data = plot(x1,y1,dpnt,'linewidth',0.8);
    text(x1(end)+c,y1(end)+d,'N_{75}');
hold on
plot(x2,y2,dpnt,'linewidth',0.8);
    text(x2(end)+c,y2(end)+d,'N_{95}');
plot(x3,y3,dpnt,'linewidth',0.8);
     text(x3(end)+c,y3(end)+d,'N_{115}');
plot(x4,y4,dpnt,'linewidth',0.8);
     text(x4(end)+c,y4(end)+d,'N_{135}');
plot(x5,y5,dpnt,'linewidth',0.8);
     text(x5(end)+c,y5(end)+d,'N_{155}');
%plot(x6,y6,'kd','linewidth',0.8);
plot(x6i,y6i,dpnt,'linewidth',0.8);
     text(x6(end)+c,y6(end)+d,'N_{175}');
%plot(x7,y7,'kd','linewidth',0.8);
plot(x7i,y7i,dpnt,'linewidth',0.8);
     text(x7(end)+c,y7(end)+d,'N_{195}');

fit = plot(w(:,1),psiC(cc,[w(:,1) ndt(:,1)]),dfit); % function plot
plot(w(:,2), psiC(cc, [w(:,2) ndt(:,2)]),dfit);
plot(w(:,3), psiC(cc, [w(:,3) ndt(:,3)]),dfit);
plot(w(:,4), psiC(cc, [w(:,4) ndt(:,4)]),dfit);
plot(w(:,5), psiC(cc, [w(:,5) ndt(:,5)]),dfit);
plot(w(:,8), psiC(cc, [w(:,8) ndt(:,6)]),dfit);
plot(w(:,9), psiC(cc, [w(:,9) ndt(:,7)]),dfit);
%line70=plot(map815(91:120,1),map815(91:120,2),'k:','LineWidth',0.5); %70ef
%line78=plot(map815(211:240,1),map815(211:240,2),'k:','LineWidth',0.5); %78ef
%text(map815(225,1)+0.005,map815(225,2)-0.15,'78%');
hold off
title('LSQ Curve fit of \Psi_c first-principle characterstic');
xlabel 'Mass flow [kg/s]'
ylabel 'Pressure ratio [-]'
legend([data fit],'Data','Fit','location','southeast');

%print('fig1_lsqPsiCisland','-depsc2','-r300');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% figure(2); % figure 2 for param function
% 
% data = plot(x1,y1,dpnt,'linewidth',0.8);
%     text(x1(end)+c,y1(end)+d,'N_{75}');
% hold on
% plot(x2,y2,dpnt,'linewidth',0.8);
%     text(x2(end)+c,y2(end)+d,'N_{95}');
% plot(x3,y3,dpnt,'linewidth',0.8);
%      text(x3(end)+c,y3(end)+d,'N_{115}');
% plot(x4,y4,dpnt,'linewidth',0.8);
%      text(x4(end)+c,y4(end)+d,'N_{135}');
% plot(x5,y5,dpnt,'linewidth',0.8);
%      text(x5(end)+c,y5(end)+d,'N_{155}');
% %plot(x6,y6,'kd','linewidth',0.8);
% plot(x6i,y6i,dpnt,'linewidth',0.8);
%      text(x6(end)+c,y6(end)+d,'N_{175}');
% %plot(x7,y7,'kd','linewidth',0.8);
% plot(x7i,y7i,dpnt,'linewidth',0.8);
%      text(x7(end)+c,y7(end)+d,'N_{195}');
% 
% fit = plot(w(:,1),psiCParams(cc2,[w(:,1) ndt(:,1)], pparams,gt2252),dfit);
% plot(w(:,2), psiCParams(cc2, [w(:,2) ndt(:,2)], pparams,gt2252),dfit);
% plot(w(:,3), psiCParams(cc2, [w(:,3) ndt(:,3)], pparams,gt2252),dfit)
% plot(w(:,4), psiCParams(cc2, [w(:,4) ndt(:,4)], pparams,gt2252),dfit)
% plot(w(:,5), psiCParams(cc2, [w(:,5) ndt(:,5)], pparams,gt2252),dfit)
% plot(w(:,8), psiCParams(cc2, [w(:,8) ndt(:,6)], pparams,gt2252),dfit)
% plot(w(:,9), psiCParams(cc2, [w(:,9) ndt(:,7)], pparams,gt2252),dfit)
% hold off
% title('LSQ Curve fit of \Psi_c first-principle characterstic');
% xlabel 'Mass flow [kg/s]'
% ylabel 'Pressure ratio [-]'
% legend([data fit],'Data','Fit','location','southeast');
% 
% print('fig2_lsqPsiCParams','-depsc2','-r300');

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% figure(2); % figure 2 for param function
% 
% data = plot(x1,y1,dpnt,'linewidth',0.8);
%     text(x1(end)+c,y1(end)+d,'N_{75}');
% hold on
% plot(x2,y2,dpnt,'linewidth',0.8);
%     text(x2(end)+c,y2(end)+d,'N_{95}');
% plot(x3,y3,dpnt,'linewidth',0.8);
%      text(x3(end)+c,y3(end)+d,'N_{115}');
% plot(x4,y4,dpnt,'linewidth',0.8);
%      text(x4(end)+c,y4(end)+d,'N_{135}');
% plot(x5,y5,dpnt,'linewidth',0.8);
%      text(x5(end)+c,y5(end)+d,'N_{155}');
% %plot(x6,y6,'kd','linewidth',0.8);
% plot(x6i,y6i,dpnt,'linewidth',0.8);
%      text(x6(end)+c,y6(end)+d,'N_{175}');
% %plot(x7,y7,'kd','linewidth',0.8);
% plot(x7i,y7i,dpnt,'linewidth',0.8);
%      text(x7(end)+c,y7(end)+d,'N_{195}');
% 
% fit = plot(w(:,1),psiCNested(cc2,[w(:,1) ndt(:,1)], params),dfit);
% plot(w(:,2), psiCNested(cc2, [w(:,2) ndt(:,2)], params),dfit);
% plot(w(:,3), psiCNested(cc2, [w(:,3) ndt(:,3)], params),dfit);
% plot(w(:,4), psiCNested(cc2, [w(:,4) ndt(:,4)], params),dfit);
% plot(w(:,5), psiCNested(cc2, [w(:,5) ndt(:,5)], params),dfit);
% plot(w(:,8), psiCNested(cc2, [w(:,8) ndt(:,6)], params),dfit);
% plot(w(:,9), psiCNested(cc2, [w(:,9) ndt(:,7)], params),dfit);
% hold off
% title('LSQ Curve fit of \Psi_c first-principle characterstic');
% xlabel 'Mass flow [kg/s]'
% ylabel 'Pressure ratio [-]'
% legend([data fit],'Data','Fit','location','southeast');
% 
% print('fig2_lsqPsiCNested','-depsc2','-r300');
