%% GT2252, estimated zero mass flow condition
% 11.01.2017 N.T.
% REV: 20.01.2017 File has been created 001, in /mapData
%      28.02.2017 psicZero is changed, wrong conversion of omega to N

% - Calculating the zero mass flow conditions
% - Determine negative flow branch
% Procedure from MODSIM s. 502
% saving to file

% Assumptions to system
% - isentropic pressure increase
% - heat capacity at constant pressure, cp = 1.0046
% - Inlet temperature on turbocharger mass flow, T01 = amb.
% Measurements:
% - Impeller outer/inner diameter D1/D2 = 
% N - revolutions per min

% Turbo params
D1 = 40.2e-3; %mm inducer diameter
D2 = 52e-3; %mm exducer / outer diameter
trim_c = ((D1^2)/(D2^2))*100; %inducer-to exducer ratio
% Process fluid params (Tune for better results
cp = 1004.6; % ~ Air at 293.15K, from Boosting lab calc. 20C,  J/kg
cv = 717.4; % ~ From boosting lab calc, J/kg
cp_w = 419; % ~ ", water cp
kappa = 1.4; % ratio of specific heats
T01_sc = 293.15; %Kelvin inlet temp at 15C standard cond.
%T01 = 56; %K, at 5.55 lb/min mass flow into turbo with pressure rise 1 barg
% N = 2*pi*omega, omega = N(rev/s)/2pi
%% zero mass flow
% psicZero(N,D1,D2,T01,cp,kappa)

[psi0, psig] = psicZero(75000,D1,D2,T01_sc,cp,kappa); 
[psi01, psig1] = psicZero(95000,D1,D2,T01_sc,cp,kappa);
[psi02, psig2] = psicZero(115000,D1,D2,T01_sc,cp,kappa);
[psi03, psig3] = psicZero(135000,D1,D2,T01_sc,cp,kappa);
[psi04, psig4] = psicZero(155000,D1,D2,T01_sc,cp,kappa);
[psi05, psig5] = psicZero(175000,D1,D2,T01_sc,cp,kappa);
[psi06, psig6] = psicZero(195000,D1,D2,T01_sc,cp,kappa);

d001_0 = [0 psi0];% rpm 75k
d002_0 = [0 psi01];% rpm 95k
d003_0 = [0 psi02];% rpm 115k
d004_0 = [0 psi03];% rpm 135k
d005_0 = [0 psi04];% rpm 155k
d006_0 = [0 psi05];% rpm 175k
d007_0 = [0 psi06];% rpm 195k

v = [psi0 psi01 psi02 psi03 psi04 psi05 psi06];
s = [   psig psig1 psig2 psig3 psig4 psig5 psig6];
u = [v;s]'
%% Save to file
%filename = 'zeroPoints_gt2252.mat'
%save(filename,'d001_0','d002_0',...
%    'd003_0','d004_0','d005_0','d006_0','d007_0');

