%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Laboratory parameters, WGC- MTP
% Modeling and Control of Wet Gas Compressors
%
% Rev   01 - 19/3-17, N.T.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

cp = 1004.6; % ~ Air at 293.15K, from Boosting lab calc. 20C J/kg.K
cv = 717.4; % ~ From boosting lab calc
cp_w = 419; % ~ ", water cp
kappa = cp/cv; % ratio of specific heats
T01 = 293.15; % Kelvin, inlet temp at 15C standard cond.
rho1 = 1.205; % density of air at inlet
a0 = 343; % m/s, sonic speed at ambient conditions (1 atm, dry gas)

r1 = (40.2e-3)/2; % radii in m
r2 = (52.0e-3)/2;
A1 = ((60*10^-3)/2)^2*pi; %inlet area
A2 = ((50*10^-3)/2)^2*pi; %outlet area
beta1b = 21.4*(2*pi/360); %blade inducer/entry angle, rad
beta2b = 54.1*(2*pi/360); %blade exit angle, rad
nblades = 12; % compressor impeller blades
trim_c = ((0.0402^2)/(0.052^2))*100; %inducer-to exducer ratio
Vp = 2.45e-4 + 0.0023; %m^3, Compressor plenum volume for set-up (fig ref.)
Ac = (gt2252.A1 + gt2252.A2)/2; % Compressor flow through area, averaged
Lc = 0.5; % 50 cm Equvialent length from inlet to discharge
At = (0.051/2)^2*pi; % Opening of throttle valve in WGC lab.
Lt = 0.05; % length of valve section ~ 5 cm

%%%%%%%%%%%%%%%%%%%% - end lab params